# cv::KDTree::Node Struct Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions

| Node ()
| Node (int _idx, int _left, int _right, float _boundary)

## Public Attributes

float | boundary
| go to the left if query_vec[node.idx]<=node.boundary, otherwise go to the right
int | idx
| split dimension; >=0 for nodes (dim), < 0 for leaves (index of the point)
int | left
| node indices of the left and the right branches
int | right

## Detailed Description

The node of the search tree.

## Constructor & Destructor Documentation

cv::KDTree::Node::Node | ( | ) | `[inline]`

cv::KDTree::Node::Node | ( | int | _idx,
|  | int | _left,
|  | int | _right,
|  | float | _boundary
| ) |  | `[inline]`

## Member Data Documentation

float cv::KDTree::Node::boundary

go to the left if query_vec[node.idx]<=node.boundary, otherwise go to the right

int cv::KDTree::Node::idx

split dimension; >=0 for nodes (dim), < 0 for leaves (index of the point)

int cv::KDTree::Node::left

node indices of the left and the right branches

int cv::KDTree::Node::right

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines